Bug 1284382 - glusterd : Restarting glusterd simultaneously on all nodes might cause peer info file corruption. [NEEDINFO]
glusterd : Restarting glusterd simultaneously on all nodes might cause peer ...
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
glusterd
: ZStream
Depends On: 1065303
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 03:40 EST by Anand Nekkunti
Modified: 2016-07-20 05:27 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1065303
Environment:
Last Closed: 2016-07-20 05:27:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amukherj: needinfo? (spandura)


Attachments (Terms of Use)

  None (edit)
Comment 3 Atin Mukherjee 2016-02-11 13:07:06 EST
Shwetha,

Does the problem persist with the latest bits? If not can we close this bug?

~Atin
Comment 4 Byreddy 2016-07-20 05:24:50 EDT
(In reply to Atin Mukherjee from comment #3)
> Shwetha,
> 
> Does the problem persist with the latest bits? If not can we close this bug?
> 
> ~Atin

This issue was found in AWS ENV.

I verified  locally using the 3.1.3. bits and using 9 node cluster, Issue reported is not reproduced ( repeated the steps mentioned in Desc section)

One more thing, there is a statement "before stopping the glusterd on the node, the node had received the probe request" in Description, i checked this condition as well, it worked as per the current release expectation.

probing a node part of cluster and node not part of cluster and having the stand alone volume is not allowed, will get the proper error message when tried.


i tried restarting glusterd multiple times with probe operation, restart worked successfully every time and probe failed with proper error message.


We can close this bug if we eliminate the AWS ENV otherwise we have to check the same thing in AWS using the latest bits.
Comment 5 Atin Mukherjee 2016-07-20 05:27:53 EDT
I am closing this bug. If we get to hit this in AWS env, feel free to reopen :)

Note You need to log in before you can comment on or make changes to this bug.